# eric7.WebBrowser.StatusBar.StatusBarIcon

Module implementing the status bar icon base class.

### Global Attributes

None

### Classes

StatusBarIcon | Class implementing common methods for all status bar icons.

### Functions

None

## StatusBarIcon

Class implementing common methods for all status bar icons.

### Derived from

EricClickableLabel

### Class Attributes

None

### Class Methods

None

### Methods

StatusBarIcon | Constructor
_currentPage | Protected method to get a reference to the current page.
_currentPageSettings | Protected method to get a reference to the web settings of the current page.
_setCurrentPageWebAttribute | Protected method to set a web attribute on the current page.
_testCurrentPageWebAttribute | Protected method to test a web attribute on the current page.
preferencesChanged | Public method to handle changes of the settings.

### Static Methods

None

#### StatusBarIcon (Constructor)

StatusBarIcon(window)

Constructor

window (WebBrowserWindow)
  reference to the web browser window

#### StatusBarIcon._currentPage

_currentPage()

Protected method to get a reference to the current page.

Return:
  reference to the current page

Return Type:
  WebBrowserPage

#### StatusBarIcon._currentPageSettings

_currentPageSettings()

Protected method to get a reference to the web settings of the current page.

Return:
  reference to the web settings object

Return Type:
  QWebEngineSettings

#### StatusBarIcon._setCurrentPageWebAttribute

_setCurrentPageWebAttribute(attr, val)

Protected method to set a web attribute on the current page.

attr (QWebEngineSettings.WebAttribute)
  attribute to sett
val (bool)
  value to be set

#### StatusBarIcon._testCurrentPageWebAttribute

_testCurrentPageWebAttribute(attr)

Protected method to test a web attribute on the current page.

attr (QWebEngineSettings.WebAttribute)
  attribute to test

Return:
  flag indicating the attribute is set

Return Type:
  bool

#### StatusBarIcon.preferencesChanged

preferencesChanged()

Public method to handle changes of the settings.

Up